Bug 848664 - Review Request: python-django-profile - Django pluggable user profile zone
Review Request: python-django-profile - Django pluggable user profile zone
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 840364 962959
  Show dependency treegraph
 
Reported: 2012-08-16 03:27 EDT by Bohuslav "Slavek" Kabrda
Modified: 2013-05-16 08:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 19:16:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-08-16 03:27:14 EDT
Spec URL: http://bkabrda.fedorapeople.org/pkgs/django-profile/python-django-profile.spec
SRPM URL: http://bkabrda.fedorapeople.org/pkgs/django-profile/python-django-profile-0.6-0.1.20110216svnr458.fc17.src.rpm
Description: This is a user private zone/profile management application, allowing the user to take control of his account and insert information about him in his profile.

Inside this package you will find a demo application which will show you what can be accomplished with the rest of the utilities included in the package.
Fedora Account System Username: bkabrda

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4394829

Note: this a rename review request from django-profile to python-django-profile.
Comment 1 Matthias Runge 2012-08-16 07:12:34 EDT
will do a review
Comment 2 Matthias Runge 2012-08-17 14:43:57 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[!]: SHOULD Dist tag is present.
     Note: Multiple Release tags found
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source0 (django-profile-0.6-r458.tar.gz)
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#ValidLicenseShortNames

Rpmlint
-------
Checking: python-django-profile-0.6-0.1.20110216svnr458.fc19.src.rpm
          python-django-profile-0.6-0.1.20110216svnr458.fc19.noarch.rpm
python-django-profile.src: W: spelling-error Summary(en_US) pluggable -> plug gable, plug-gable, plugged
python-django-profile.src: W: invalid-url Source0: django-profile-0.6-r458.tar.gz
python-django-profile.noarch: W: spelling-error Summary(en_US) pluggable -> plug gable, plug-gable, plugged
python-django-profile.noarch: W: self-obsoletion django-profile <= 0.6-0.6.20090813svnr420 obsoletes django-profile = 0.6-0.1.20110216svnr458.fc19
python-django-profile.noarch: W: doc-file-dependency /usr/share/doc/python-django-profile-0.6/demo/manage.py /usr/bin/env
python-django-profile.noarch: W: file-not-in-%lang /usr/share/doc/python-django-profile-0.6/demo/locale/es/LC_MESSAGES/django.mo
2 packages and 0 specfiles checked; 0 errors, 6 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
python-django-profile-0.6-0.1.20110216svnr458.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/env  
    python(abi) = 2.7
    python-django  
    python-imaging  

Provides
--------
python-django-profile-0.6-0.1.20110216svnr458.fc19.noarch.rpm:
    
    django-profile = 0.6-0.1.20110216svnr458.fc19
    python-django-profile = 0.6-0.1.20110216svnr458.fc19

MD5-sum check
-------------


Generated by fedora-review 0.2.2 (9f8c0e5) last change: 2012-08-09
Command line :/usr/bin/fedora-review -b 848664


Package approved.

Since I'm using it in a project, I'd like to become a co-maintainer.
Comment 3 Bohuslav "Slavek" Kabrda 2012-08-20 03:06:09 EDT
Thanks for the review! Comaintainers are always welcome :)

New Package SCM Request
=======================
Package Name: python-django-profile
Short Description: Django pluggable user profile zone
Owners: bkabrda mrunge
Branches: f18
InitialCC:
Comment 4 Gwyn Ciesla 2012-08-20 08:14:43 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-08-20 10:36:34 EDT
python-django-profile-0.6-0.1.20110216svnr458.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-django-profile-0.6-0.1.20110216svnr458.fc18
Comment 6 Fedora Update System 2012-08-20 15:50:59 EDT
python-django-profile-0.6-0.1.20110216svnr458.fc18 has been pushed to the Fedora 18 testing repository.
Comment 7 Fedora Update System 2012-09-17 19:16:50 EDT
python-django-profile-0.6-0.1.20110216svnr458.fc18 has been pushed to the Fedora 18 stable repository.
Comment 8 Matthias Runge 2013-05-15 03:14:11 EDT
Package Change Request
======================
Package Name: python-django-profile
New Branches: el6
Owners: bkabrda mrunge
Comment 9 Gwyn Ciesla 2013-05-16 08:19:14 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.